#ifndef	_HARRIS_H_
#define	_HARRIS_H_

class	Image;

// ǥե

#define	Mask_Size	2
#define	Sigma		0.7
#define	K_value		0.04
#define	Rel_r		0.0001
#define	Max_Corner	200
#define	Min_Distance	8

int	Harris(const Image &InImg,
	       int **up0, int **vp0, 
		   double **value,
		   int *cnr_num,
	       int Ns = Mask_Size,
	       double sigma = Sigma,
	       double rk = K_value,
	       double s = Rel_r,
	       int max_corner = Max_Corner,
	       double min_dist = Min_Distance);

#endif	// _HARRIS_H_
