/************************************************
 EPostScript.h   Ver 1.00

             created  by K.Uemura (2005/09/22) 
*************************************************/

#ifndef __EPostScript_H__
#define __EPostScript_H__

#include "ImageDefaults.h"
#include "ScreenPS.h"
#include "Image.h"

class EPostScript : public ScreenPS
{
 public:
   EPostScript(char *fname = NULL, int xs = WIDTH, int ys = HEIGHT, PSType t = EPSF):ScreenPS(fname,xs,ys,t){}
   ~EPostScript(){}

  int print_img(const CImage &cim,int quality);
  int print_img(const Image &im,int quality);

  void plot_dot(int u, int v,int scale, const Color &col);
  void plot_circle(int u, int v, int scale, int linewidth, const Color &col);
  void plot_number(int u, int v, int scale, int scale, const Color &col);
  void plot_line(int start_u, int start_v, int end_u, int end_v,
		 int linewidth, const Color &col);
  
};

#endif  // __EPostScript_H__
