/************************************************
 ScreenPS.h   Ver 1.01

             created  by H.Kamo (2000/09/11) 
         modified by H.Kamo (2000/12/12)
*************************************************/

#ifndef _SCREENPS_H_
#define _SCREENPS_H_

#if __GNUC__ < 3
# include <fstream.h>
#else
# include <fstream>
#endif
#include "ImageDefaults.h"

class ScreenPS
{
 protected:
#if __GNUC__ < 3
  ofstream   _fstr;
#else
  std::ofstream   _fstr;
#endif
  char      *_filename;
  int       _width, _height;
  int       _xc, _yc;
  int       _type;
  int       _open;
  
 public:
  ScreenPS(char *fname = NULL, int xs = WIDTH, int ys = HEIGHT, PSType t = EPSF);
  ~ScreenPS();

  int close();

  void set_center(int x, int y) { _xc = x; _yc = y; };
  
#if __GNUC__ < 3
  ofstream   &operator<<(ofstream &fstr){
	_fstr << fstr;
	return _fstr;
  }
#else
  std::ofstream  &operator<<(std::ofstream &fstr){
	_fstr << fstr;
	return _fstr;
  }
#endif

  
  // Ф򻲾Ȥ뤿friend饹ˤƤ
  friend class ImagePoint;
  friend class ImageLine;
  friend class ImageSegment;
  friend class Image;
  friend class CImage;
  friend class RImage;
  friend class PixelPoint;
  friend class PixelSegment;
  friend class PixelString;
};

#endif  // _SCREENPS_H_
